<template>
  <v-btn
    variant="tonal"
    color="error"
    size="small"
    icon="mdi-trash-can-outline"
    @click="isConfirmShown = true"
  />

  <ConfirmationDialog
    v-model="isConfirmShown"
    :is-loading="isLoading"
    confirm-btn-icon="mdi-trash-can-outline"
    confirm-btn-label="Удалить"
    @confirm="onConfirmClick"
  >
    Вы действительно хотите удалить пользователя?
  </ConfirmationDialog>
</template>

<script setup lang="ts">
import { ref } from 'vue';

import { useUsersStore } from '@/stores';
import ConfirmationDialog from '@/components/layout/ConfirmationDialog.vue';

const props = defineProps<{ data: IUser }>();
const usersStore = useUsersStore();

const isLoading = ref(false);
const isConfirmShown = ref(false);

const onConfirmClick = async () => {
  isLoading.value = true;

  await usersStore.deleteUser(props.data);

  isLoading.value = false;
  isConfirmShown.value = false;
};
</script>